[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# WTERMSIG

Return the signal that caused a process to exit.

## Declaration

Source position: oldlinux.pp line 1360

`function WTERMSIG(`
`Status: Integer`
`):Integer;`

## Description

WTERMSIG extracts from Status the signal number which caused the process to exit.

## See also

WaitPID |  | Wait for a process to terminate
WaitProcess |  | Wait for process to terminate.
WSTOPSIG |  | Return the exit code from the process.
WIFEXITED |  | Check whether the process exited normally
WIFSTOPPED |  | Check whether the process is currently stopped.
WIFSIGNALED |  | Check whether the process was exited by a signal.
W_EXITCODE |  | Construct an exit status based on an return code and signal.
W_STOPCODE |  | Construct an exit status based on a signal.
WEXITSTATUS |  | Extract the exit status from the WaitPID result.

Documentation generated on: Feb 26 2014